### Function Macro

# GObject TYPE_MAKE_FUNDAMENTAL

#### Declaration

    #define G_TYPE_MAKE_FUNDAMENTAL (
      x
    )

#### Description

Get the type ID for the fundamental type number `x`.

Use `g_type_fundamental_next()` instead of this macro to create new fundamental types.

This function is not directly available to language bindings.

#### Parameters

`x`

  Type: `-`

  The fundamental type number.